## ros-jazzy-rosbag2-tests 0.26.3

=== debian/changelog ===
ros-jazzy-rosbag2-tests (0.26.3-1bookworm) bookworm; urgency=high

  * Bugfix for writer not being able to open again after closing (#1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1639 <https://github.com/ros2/rosbag2/issues/1639>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: yschulz <mailto:yschulz854@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.0-1bookworm) bookworm; urgency=high

  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Added exclude-topic-types to record (#1582 <https://github.com/ros2/rosbag2/issues/1582>)
  * Contributors: Alejandro Hernández Cordero, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.25.0-1bookworm) bookworm; urgency=high

  * Use std::filesystem instead of rcpputils::fs (#1576 <https://github.com/ros2/rosbag2/issues/1576>)
  * Filter topic by type  (#1577 <https://github.com/ros2/rosbag2/issues/1577>)
  * Make some changes for newer versions of uncrustify. (#1578 <https://github.com/ros2/rosbag2/issues/1578>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * Improve performance in SqliteStorage::get_bagfile_size() (#1516 <https://github.com/ros2/rosbag2/issues/1516>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Mark play_end_to_end test as xfail in Windows (#1452 <https://github.com/ros2/rosbag2/issues/1452>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Chris Lalancette, Cristóbal Arroyo, Michael Orlov, Roman Sokolkov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.24.0-1bookworm) bookworm; urgency=high

  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Address flakiness in rosbag2_play_end_to_end tests (#1297 <https://github.com/ros2/rosbag2/issues/1297>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.23.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.22.0-1bookworm) bookworm; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.21.0-1bookworm) bookworm; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.20.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.19.0-1bookworm) bookworm; urgency=high

  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Parametrize all rosbag2_tests for both supported storage plugins (#1221 <https://github.com/ros2/rosbag2/issues/1221>)
  * Make rosbag2_tests agnostic to storage implementation (#1192 <https://github.com/ros2/rosbag2/issues/1192>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 12 Jan 2023 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.18.0-1bookworm) bookworm; urgency=high

  * Get rid from attempt to open DB file in wait_for_db() test fixture (#1141 <https://github.com/ros2/rosbag2/issues/1141>)
  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>)
  * Move sqlite3 storage implementation to rosbag2_storage_sqlite3 package (#1113 <https://github.com/ros2/rosbag2/issues/1113>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 14 Nov 2022 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.17.0-1bookworm) bookworm; urgency=high

  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Contributors: Hunter L. Allen, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 29 Jul 2022 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.16.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.15.1-1bookworm) bookworm; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)

