## ros-jazzy-rosbag2-tests 0.26.5

=== debian/changelog ===
ros-jazzy-rosbag2-tests (0.26.5-1bookworm) bookworm; urgency=high

  * Small cleanups to the rosbag2 tests. (#1792 <https://github.com/ros2/rosbag2/issues/1792>) (#1793 <https://github.com/ros2/rosbag2/issues/1793>)
    (cherry picked from commit 604cebcf11775151efa94f7c30ba1aea68e90c5c)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Bugfix for wrong timestamps in ros2 bag info (#1745 <https://github.com/ros2/rosbag2/issues/1745>) (#1752 <https://github.com/ros2/rosbag2/issues/1752>)
    (cherry picked from commit da28c9da82824b8ce5f6fc18935d1a954e52b636)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Fix for a false negative integration test with bag split in recorder (#1743 <https://github.com/ros2/rosbag2/issues/1743>) (#1750 <https://github.com/ros2/rosbag2/issues/1750>)
    (cherry picked from commit da1acb29646258899ba73a81c803383c07905613)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.4-1bookworm) bookworm; urgency=high

  * Propagate "custom_data" and "ros_distro" in to the metadata.yaml file during re-indexing (#1700 <https://github.com/ros2/rosbag2/issues/1700>) (#1710 <https://github.com/ros2/rosbag2/issues/1710>)
    Co-authored-by: Cole Tucker <mailto:coalman321@users.noreply.github.com>
  * [jazzy] Sweep cleanup in rosbag2 recorder CLI args verification code (backport #1633 <https://github.com/ros2/rosbag2/issues/1633>) (#1684 <https://github.com/ros2/rosbag2/issues/1684>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Fix for regression in open_succeeds_twice and minimal_writer_example tests (#1667 <https://github.com/ros2/rosbag2/issues/1667>) (#1675 <https://github.com/ros2/rosbag2/issues/1675>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * [jazzy] Add optional  '--topics' CLI argument for 'ros2 bag record' (backport #1632 <https://github.com/ros2/rosbag2/issues/1632>) (#1640 <https://github.com/ros2/rosbag2/issues/1640>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000
